> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ycloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List UI Skills

> Lists the rich WhatsApp UI components that the agent can select during a conversation. Continue pagination while `paging.next` is present.



## OpenAPI

````yaml /openapi/endpoints/meta-business-agent-public.openapi.json get /metaBusinessAgents/{entityId}/uiSkills
openapi: 3.0.0
info:
  title: YCloud Meta Business Agent Public API
  version: v2
  description: >-
    Create, configure, test, and operate a Meta Business Agent for a WhatsApp
    Business phone number through YCloud.
servers:
  - url: https://api.ycloud.com/v2
    description: YCloud API base URL
security:
  - api_key: []
tags:
  - name: Meta Business Agents
    description: >-
      Meta Business Agent onboarding, knowledge, skills, connectors, tools,
      operations, and evaluations.
paths:
  /metaBusinessAgents/{entityId}/uiSkills:
    get:
      tags:
        - Meta Business Agents
      summary: List UI Skills
      description: >-
        Lists the rich WhatsApp UI components that the agent can select during a
        conversation. Continue pagination while `paging.next` is present.
      operationId: meta-business-agent-list-ui-skills
      parameters:
        - name: entityId
          in: path
          required: true
          schema:
            type: string
          description: WhatsApp Business Phone Number ID that owns the Meta Business Agent.
        - name: before
          in: query
          required: false
          description: Opaque backward-pagination cursor. Do not combine with `after`.
          schema:
            type: string
        - name: after
          in: query
          required: false
          description: Opaque forward-pagination cursor. Do not combine with `before`.
          schema:
            type: string
        - name: limit
          in: query
          required: false
          description: Maximum number of UI Skills to return.
          schema:
            type: integer
            format: int32
            minimum: 1
      responses:
        '200':
          description: Operation completed successfully.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UiSkillPageDTO'
        '400':
          description: Request failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MetaBusinessAgentErrorResponse'
        '401':
          description: Request failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MetaBusinessAgentErrorResponse'
        '403':
          description: Request failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MetaBusinessAgentErrorResponse'
        '404':
          description: Request failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MetaBusinessAgentErrorResponse'
        '409':
          description: Request failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MetaBusinessAgentErrorResponse'
        '429':
          description: Request failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MetaBusinessAgentErrorResponse'
        '500':
          description: Request failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MetaBusinessAgentErrorResponse'
        '502':
          description: Request failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MetaBusinessAgentErrorResponse'
components:
  schemas:
    UiSkillPageDTO:
      type: object
      additionalProperties: false
      required:
        - data
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/UiSkillDTO'
        paging:
          $ref: '#/components/schemas/UiSkillPagingDTO'
    MetaBusinessAgentErrorResponse:
      type: object
      additionalProperties: true
      properties:
        status:
          type: integer
        code:
          type: string
        message:
          type: string
        target:
          type: string
        docUrl:
          type: string
        requestId:
          type: string
        metaBusinessAgentApiError:
          $ref: '#/components/schemas/MetaBusinessAgentApiError'
    UiSkillDTO:
      type: object
      additionalProperties: false
      required:
        - id
        - title
        - component_type
        - status
        - instruction
      properties:
        id:
          type: string
          description: UI Skill resource ID.
        title:
          type: string
          description: Display title for the UI Skill.
        component_type:
          $ref: '#/components/schemas/UiSkillComponentType'
        status:
          $ref: '#/components/schemas/UiSkillStatus'
        instruction:
          type: string
          description: Instruction that tells the agent when to use this UI component.
        flow_id:
          type: integer
          format: int64
          description: WhatsApp Flow ID. Present only for a `flow` UI Skill.
        created_at:
          type: integer
          format: int64
          description: Meta creation timestamp as Unix epoch seconds.
        updated_at:
          type: integer
          format: int64
          description: Meta update timestamp as Unix epoch seconds.
    UiSkillPagingDTO:
      type: object
      additionalProperties: false
      properties:
        cursors:
          $ref: '#/components/schemas/UiSkillCursorsDTO'
        previous:
          type: string
        next:
          type: string
          description: Present when another page is available.
    MetaBusinessAgentApiError:
      type: object
      additionalProperties: false
      properties:
        title:
          type: string
          description: Meta error title, when available.
        detail:
          type: string
          description: Actionable Meta error detail, when available.
        type:
          type: string
          description: Meta error category or URI, when available.
        status:
          type: integer
          description: Upstream HTTP status.
        requestId:
          type: string
          description: Upstream request identifier.
    UiSkillComponentType:
      type: string
      enum:
        - carousel_quick_reply
        - carousel_url
        - cta_url
        - flow
        - image
        - interactive_list
        - interactive_reply_buttons
        - location
        - location_request
      description: Rich WhatsApp component that the agent may present.
    UiSkillStatus:
      type: string
      enum:
        - disabled
        - enabled
      description: Whether the UI Skill is available to the agent.
    UiSkillCursorsDTO:
      type: object
      additionalProperties: false
      properties:
        before:
          type: string
        after:
          type: string
  securitySchemes:
    api_key:
      type: apiKey
      in: header
      name: X-API-Key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.